Bug 300 - KDE Control Center - proxy settings does not affect non-KDE applications
: KDE Control Center - proxy settings does not affect non-KDE applications
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal enhancement
: 2012 Marathon RP1
Assigned To: Denis Koryavov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 14:48 MSD by FirstLevel
Modified: 2012-09-14 13:54 MSD (History)
7 users (show)

See Also:
RPM Package: kdebase4-4.8.3-5-rosa.lts2012.0
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2012-05-28 14:48:14 MSD
Description of problem:
In ROSA2011 I have an option in network section of Control Center to set up system proxy?
In 2012LTS release this option is disappeared. How could I set up system proxy in ROSA 2012 LTS?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 FirstLevel 2012-07-12 08:26:55 MSD
Is there any comments from developers?
Comment 2 Denis Silakov 2012-07-15 18:19:19 MSD
KDE System Settings -> "Network Settings" -> "Proxy"

?
Comment 3 FirstLevel 2012-07-16 08:34:57 MSD
(In reply to comment #2)
> KDE System Settings -> "Network Settings" -> "Proxy"
> 
> ?

Does this method work for KDE applications only or for whole system?
Comment 4 FirstLevel 2012-07-16 10:58:58 MSD
User answered that (KDE System Settings -> "Network Settings" -> "Proxy") affect only to KDE apps. But don't affect to firefox, chromium, urpmi etc.
Comment 5 Denis Silakov 2012-07-16 12:13:33 MSD
(In reply to comment #4)
> User answered that (KDE System Settings -> "Network Settings" -> "Proxy")
> affect only to KDE apps. But don't affect to firefox, chromium, urpmi etc.

Could you try if it helps to set the following shell variables:
http_proxy
https_proxy
ftp_proxy

(e.g. run "export http_proxyy=http://your.proxy.com" in console and then launch urpmi/firefox/other apps from that console to see what is affected by this change).

This will likely affect urpmi, but I am not sure about firefox which seems to have its own proxy configuration.

In addition, you can still launch 'drakproxy' from console and check if it sets proxe for the apps you have mentioned.
Comment 6 Postnikov Dmitry 2012-07-16 12:23:59 MSD
EN:
Use "drakproxy". In root terminal enter: drakproxy
Syntax: http://user:passw@host:port
For test: env | grep http_proxy
Similary ftp, https protocol.
And KDE System Settings -> "Network Settings" -> "Proxy" -> "Use system proxy settings".
In Firefox: Preferences -> Advanced -> Network -> Settings to Settings with Internet connections FF -> button "Configure". "Use system proxy settings"

RU:
Используйте drakproxy. От root'a в теринале:
drakproxy
Синтакс вписывания адресов: http://логин:пароль@адрессервера:порт
После этого протестируйте:
env | grep http_proxy
Если переменная есть, занчит все в порядке.
И в КДЕ: Настройки рабочего стола - Настройка сети - Прокси-сервер - Использовать системные настройки прокси. (кнопка "Автоопределение)
В Файрфокс: Настройки - Дополнительно - вкладка Сеть - Настройка параметров соединения Файрфокс с Интернетом - кнопка Настроить... Там выбираете "Использовать системные настройки прокси".
Comment 7 Denis Silakov 2012-07-16 12:26:39 MSD
I think we should just patch KDE control center to set http_proxy, https_proxy and ftp_proxy variables to avoid the need to run drakproxy.
Comment 8 FirstLevel 2012-07-16 13:05:37 MSD
Dear colleagues
I agree that here are many ways to set up proxy settings to each applications.
But Is the drakpoxy not obsolete itility and will be removed?
If not, is ther possibility to patch Rosa Control Center and include drakproxy again?
Comment 9 Aleksandr Kazantcev 2012-07-16 13:11:49 MSD
Drakproxy removed only from MCC, not program itself. User may run it manually with Alt+F2 and then type `drakproxy`.

Also we need patch KDE related setting program for appear setting to whole system.
Comment 10 Denis Silakov 2012-07-16 13:26:00 MSD
Updated summary to match the direction we would like to follow.

KDE CC should set the following environment variables:

http_proxy
https_proxy
ftp_proxy

This can be done in a same way as in drakproxy - just create a separate /etc/profile.d/proxy.sh script which exports these variables and make it executable.
Comment 11 Ural Mullabaev 2012-08-31 12:11:52 MSD
Advisory:
Added saving system proxy settings to the KDE System Settings. 

Buildlists:
https://abf.rosalinux.ru/build_lists/700464
https://abf.rosalinux.ru/build_lists/700465
Comment 12 Ural Mullabaev 2012-08-31 12:14:46 MSD
Advisory:
Added saving system proxy settings from KDE System Settings. 

Buildlists:
https://abf.rosalinux.ru/build_lists/700464
https://abf.rosalinux.ru/build_lists/700465
Comment 13 Alexander Petryakov 2012-09-04 00:19:35 MSD
Is it correct, that proxy setting applied only after rebooting?
Comment 14 Vladimir Potapov 2012-09-04 10:23:12 MSD
(In reply to comment #13)
> Is it correct, that proxy setting applied only after rebooting?

It`s OK (drakproxy work similar).
Comment 15 Vladimir Potapov 2012-09-04 10:24:58 MSD
kdebase4-4.8.3-5-rosa.lts2012.0
************** Advisory ******************
Added saving system proxy settings from KDE System Settings
*****************************************
QA Verified